OpenCV: cv::videostab::WobbleSuppressorBase Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Protected Attributes | List of all members
cv::videostab::WobbleSuppressorBase Class Referenceabstract
Video Stabilization

`#include "wobble_suppression.hpp"`

Inheritance diagram for cv::videostab::WobbleSuppressorBase:

## Public Member Functions
| WobbleSuppressorBase ()
virtual | ~WobbleSuppressorBase ()
virtual int | frameCount () const
Ptr< ImageMotionEstimatorBase > | motionEstimator () const
virtual const std::vector< Mat > & | motions () const
virtual const std::vector< Mat > & | motions2 () const
virtual void | setFrameCount (int val)
void | setMotionEstimator (Ptr< ImageMotionEstimatorBase > val)
virtual void | setMotions (const std::vector< Mat > &val)
virtual void | setMotions2 (const std::vector< Mat > &val)
virtual void | setStabilizationMotions (const std::vector< Mat > &val)
virtual const std::vector< Mat > & | stabilizationMotions () const
virtual void | suppress (int idx, const Mat &frame, Mat &result)=0

## Protected Attributes
int | frameCount_
Ptr< ImageMotionEstimatorBase > | motionEstimator_
const std::vector< Mat > * | motions2_
const std::vector< Mat > * | motions_
const std::vector< Mat > * | stabilizationMotions_

## Constructor & Destructor Documentation

## ◆ WobbleSuppressorBase()

cv::videostab::WobbleSuppressorBase::WobbleSuppressorBase | ( |  | ) |

## ◆ ~WobbleSuppressorBase()

virtual cv::videostab::WobbleSuppressorBase::~WobbleSuppressorBase | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ frameCount()

virtual int cv::videostab::WobbleSuppressorBase::frameCount | ( |  | ) | const
| inlinevirtual

## ◆ motionEstimator()

Ptr<ImageMotionEstimatorBase> cv::videostab::WobbleSuppressorBase::motionEstimator | ( |  | ) | const
| inline

## ◆ motions()

virtual const std::vector<Mat>& cv::videostab::WobbleSuppressorBase::motions | ( |  | ) | const
| inlinevirtual

## ◆ motions2()

virtual const std::vector<Mat>& cv::videostab::WobbleSuppressorBase::motions2 | ( |  | ) | const
| inlinevirtual

## ◆ setFrameCount()

virtual void cv::videostab::WobbleSuppressorBase::setFrameCount | ( | int | val | ) |
| inlinevirtual

## ◆ setMotionEstimator()

void cv::videostab::WobbleSuppressorBase::setMotionEstimator | ( | Ptr< ImageMotionEstimatorBase > | val | ) |
| inline

## ◆ setMotions()

virtual void cv::videostab::WobbleSuppressorBase::setMotions | ( | const std::vector< Mat > & | val | ) |
| inlinevirtual

## ◆ setMotions2()

virtual void cv::videostab::WobbleSuppressorBase::setMotions2 | ( | const std::vector< Mat > & | val | ) |
| inlinevirtual

## ◆ setStabilizationMotions()

virtual void cv::videostab::WobbleSuppressorBase::setStabilizationMotions | ( | const std::vector< Mat > & | val | ) |
| inlinevirtual

## ◆ stabilizationMotions()

virtual const std::vector<Mat>& cv::videostab::WobbleSuppressorBase::stabilizationMotions | ( |  | ) | const
| inlinevirtual

## ◆ suppress()

virtual void cv::videostab::WobbleSuppressorBase::suppress | ( | int | idx,
|  | const Mat & | frame,
|  | Mat & | result
| ) |  |
| pure virtual

Implemented in cv::videostab::MoreAccurateMotionWobbleSuppressor, and cv::videostab::NullWobbleSuppressor.

## Member Data Documentation

## ◆ frameCount_

int cv::videostab::WobbleSuppressorBase::frameCount_
| protected

## ◆ motionEstimator_

Ptr<ImageMotionEstimatorBase> cv::videostab::WobbleSuppressorBase::motionEstimator_
| protected

## ◆ motions2_

const std::vector<Mat>* cv::videostab::WobbleSuppressorBase::motions2_
| protected

## ◆ motions_

const std::vector<Mat>* cv::videostab::WobbleSuppressorBase::motions_
| protected

## ◆ stabilizationMotions_

const std::vector<Mat>* cv::videostab::WobbleSuppressorBase::stabilizationMotions_
| protected

The documentation for this class was generated from the following file:

- videostab/include/opencv2/videostab/wobble_suppression.hpp